summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Damien Durand2010-12-26 22:32:09 +0100
committer Niels Horn2010-12-27 22:22:52 +0100
commit8a023d8ee857970e00303b9ecdad994c1a1cdc00 (patch)
tree72caad9d83d356863ff890be1e369cb47c678506 /system
parent4bd4190c5f4cd7cb6f2d1e9533af680bc8e89b28 (diff)
downloadslackbuilds-8a023d8ee857970e00303b9ecdad994c1a1cdc00.tar.gz
system/dfu-util: Added (Device firmware update USB programmer)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/dfu-util/README6
-rw-r--r--system/dfu-util/dfu-util.SlackBuild80
-rw-r--r--system/dfu-util/dfu-util.info10
-rw-r--r--system/dfu-util/slack-desc19
4 files changed, 115 insertions, 0 deletions
diff --git a/system/dfu-util/README b/system/dfu-util/README
new file mode 100644
index 0000000000..1a9638029e
--- /dev/null
+++ b/system/dfu-util/README
@@ -0,0 +1,6 @@
+dfu-util is a program that implements the host (PC) side of the USB
+DFU (Universal Serial Bus Device Firmware Upgrade) protocol. In the
+OpenMoko project (for example), this program is used to communicate
+with the specially enhanced u-boot boot loader, which implements the
+DFU device side.
+
diff --git a/system/dfu-util/dfu-util.SlackBuild b/system/dfu-util/dfu-util.SlackBuild
new file mode 100644
index 0000000000..4d54aca7aa
--- /dev/null
+++ b/system/dfu-util/dfu-util.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/sh
+# Slackware build script for dfu-util
+# Written by Damien Durand <splinux25@gmail.com>
+
+PRGNAM=dfu-util
+VERSION=${VERSION:-0.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ COPYING ChangeLog README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/dfu-util/dfu-util.info b/system/dfu-util/dfu-util.info
new file mode 100644
index 0000000000..c2082fd5eb
--- /dev/null
+++ b/system/dfu-util/dfu-util.info
@@ -0,0 +1,10 @@
+PRGNAM="dfu-util"
+VERSION="0.2"
+HOMEPAGE="http://dfu-util.gnumonks.org"
+DOWNLOAD="http://dfu-util.gnumonks.org/releases/dfu-util-0.2.tar.gz"
+MD5SUM="bc3ac050651c82076215dd9699955b66"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Damien Durand"
+EMAIL="splinux25@gmail.com"
+APPROVED="Niels Horn"
diff --git a/system/dfu-util/slack-desc b/system/dfu-util/slack-desc
new file mode 100644
index 0000000000..6f849fe376
--- /dev/null
+++ b/system/dfu-util/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+dfu-util: dfu-util (Device firmware update USB programmer)
+dfu-util:
+dfu-util: dfu-util is a program that implements the host (PC) side of the
+dfu-util: USB DFU (Universal Serial Bus Device Firmware Upgrade) protocol.
+dfu-util: In the OpenMoko project (for example), this program is used to
+dfu-util: communicate with the specially enhanced u-boot boot loader, which
+dfu-util: implements the DFU device side.
+dfu-util:
+dfu-util: Homepage: http://dfu-util.gnumonks.org
+dfu-util:
+dfu-util: